Skip to main content
GET
https://api.onstacks.io
/
v1
/
api-keys
List API keys
curl --request GET \
  --url https://api.onstacks.io/v1/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "key_prefix": "<string>",
        "scopes": [],
        "expires_at": "2023-11-07T05:31:56Z",
        "created_at": "2023-11-07T05:31:56Z",
        "created_by": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "email": "jsmith@example.com",
          "display_name": "<string>"
        },
        "last_used_at": "2023-11-07T05:31:56Z",
        "revoked_at": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "error": null,
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Workspace API key. Send it as Authorization: Bearer <api_key>.

Query Parameters

environment
enum<string>
default:sandbox

Environment scope for environment-partitioned resources. Defaults to sandbox when omitted.

Available options:
sandbox,
live

Response

Workspace API keys

data
object
required
error
null
required
request_id
string
required